/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 * 
 * $Rev: 1410 $
 * Last modified by $Author: kobit $
 * $Date: 2009-01-10 23:43:23 +0100 (Sat, 10 Jan 2009) $
 */

package tigase.conf;

/**
 * Created: Jan 10, 2009 8:43:04 PM
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 1410 $
 */
public interface MonitoringSetupIfc {
	
	public enum MONITOR { jmx, http, snmp; }
	
	void initMonitoring(String settings, String configDir);

	void initializationCompleted();

	void putMXBean(String objName, Object bean);

	Object getMXBean(String objName);

}
