/*
 * Tigase Jabber/XMPP Server
 * Copyright (C) 2004-2008 "Artur Hefczyc" <artur.hefczyc@tigase.org>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 * 
 * $Rev: 1895 $
 * Last modified by $Author: kobit $
 * $Date: 2009-10-23 21:39:50 +0200 (Fri, 23 Oct 2009) $
 */

package tigase.util;

import java.util.Comparator;
import java.util.regex.Pattern;

/**
 * Created: Oct 22, 2009 6:08:50 PM
 *
 * @author <a href="mailto:artur.hefczyc@tigase.org">Artur Hefczyc</a>
 * @version $Rev: 1895 $
 */
public class PatternComparator implements Comparator<Pattern> {

	@Override
	public int compare(Pattern o1, Pattern o2) {
		return o1.pattern().compareTo(o2.pattern());
	}

}
